function setClickEvent() {
    /*action bar*/
    $(".action_bar .button").off('click');
    $(".action_bar .button").on('click', function(event){
        var parent = $(this).parent();
        var meta = new Object;
        meta.action = $(this).attr("data-action");
        meta.index = parent.attr("data-index");
        pe.action(JSON.stringify(meta));
        event = event || window.event;
        if (typeof event.stopPropagation != "undefined") {
            event.stopPropagation();
        } else {
            event.cancelBubble = true;
        }
    });

    /*switch nest state*/
    $(".nest_place_holder span").off('click');
    $(".nest_place_holder span").on('click', function(event){
        var parent = $(this).parent().parent();
        parent.removeClass('collapsed');
        event = event || window.event;
        if (typeof event.stopPropagation != "undefined") {
            event.stopPropagation();
        } else {
            event.cancelBubble = true;
        }
    });
    /*open user page*/
    $(".nick_name, .avatar").off('click');
    $(".nick_name, .avatar").on("click", function(event) {
        event.preventDefault();
        var parent = $(this).parent();
        while(!parent.hasClass("user_meta")){
            parent = parent.parent();
        }
        var brothers = parent.siblings(".action_bar");
        var meta = new Object;
        meta.action = $(this).attr("data-action");
        if(brothers.size() > 0){
            meta.index = brothers.first().attr("data-index");
        }
        pe.action(JSON.stringify(meta));
        event = event || window.event;
        if (typeof event.stopPropagation != "undefined") {
            event.stopPropagation();
        } else {
            event.cancelBubble = true;
        }
    });
    /*click picture*/
    $(".thread_body img").off('click');
    $(".thread_body img").on('click', function(event){
        var loadingPlaceholder = $(this).attr("data-loading-placeholder");
        var orginal = $(this).attr("data-original");
        var currenrSrc = $(this).attr("src");
        var element = $(this);
        if (currenrSrc.indexOf("picture_place_holder.png") > 0 || currenrSrc.indexOf("picture_place_holder_night.png") > 0){
             //load pic
              $(this).attr("src", loadingPlaceholder);
              var img = new Image();
              img.src = orginal;
              img.onload = function(){
                  element.attr("src", img.src);
              }
        }else{
              //open img gallery
              var container = $(this).parent();
              var isInCard = false;
              while(!container.hasClass("thread_body")){
                if(container.hasClass("link-card") || container.hasClass("link-card-topic")){
                    isInCard = true;
                }
                container = container.parent();
              }
              if(!isInCard){
                  var meta = new Object;
                  meta.action = "10";
                  var imgList = new Array();
                  container.find("img").each(function(i, item){
                      var imgUrl = $(this).attr("data-original");
                      if(imgUrl == orginal){
                          meta.currentIndex = i;
                      }
                      imgList.push(imgUrl)
                  });
                  meta.imgList = imgList;
                  pe.action(JSON.stringify(meta));
              }

        }
        event = event || window.event;
        if (typeof event.stopPropagation != "undefined") {
            event.stopPropagation();
        } else {
            event.cancelBubble = true;
        }
    });
}


(function($){
    $(window).bind("scroll",function(e){
       var currentTop = $(window).scrollTop();
       var bar = $( ".options_container" );
       if($(".options" ).offset()){
          var barTop = $(".options" ).offset().top;
          var isCurrentFix = bar.hasClass("fixed");
          if(currentTop >= barTop){
              if(!isCurrentFix){
                 bar.addClass("fixed");
              }
          } else {
               if(isCurrentFix){
                 bar.removeClass("fixed");
              }
          }
       }

    });

})(jQuery);


var hasInit = false;
function setLazyload(){
    $('.not_no_img_mode img.lazy').lazyload({threshold :100, effect :"fadeIn"}).removeClass("lazy");
}
function setPadding(){
    if($("body").height() - 60 > $(window).height()){
                $("body").removeClass("need_padding");
    }
}
function supportCommentAnimate(commentID){
    var clickBtn = $(".reply_container_" + commentID + ">.action_bar .btn_support .tip_img");
    clickBtn.css({ opacity:"1",top: '-13px'});
    clickBtn.animate(
        {"top": -30 + "px"},
        150
    )
    .delay(250)
    .animate(
        {opacity:"0"},
        100,
        function(){
            clickBtn.css({ top: '-13px' });
        }
    )
}

function againstCommentAnimate(commentID){
    var clickBtn = $(".reply_container_" + commentID + ">.action_bar .btn_against .tip_img");
    clickBtn.css({ opacity:"1",top: '-40px'});
    clickBtn.animate(
        {"top": -24 + "px"},
        150
    )
    .delay(250)
    .animate(
        {opacity:"0"},
        100,
        function(){
            clickBtn.css({ top: '-40px' });
        }
    )
}


function likeAnimate(){
    var clickBtn = $(".like .likeTipImg");
    clickBtn.css({ opacity:"1",top: '-30px'});
        clickBtn.animate(
            {"top": "3px"},
            150
        )
        .delay(250)
        .animate(
            {opacity:"0"},
            100,
            function(){
                clickBtn.css({ top: '3px' });
            }
        )
}
function dislikeAnimate(){
    var clickBtn = $(".like .tip_img");
    clickBtn.css({ opacity:"1",top: '3px'});
        clickBtn.animate(
            {"top": "-30px"},
            150
        )
        .delay(250)
        .animate(
            {opacity:"0"},
            100,
            function(){
                clickBtn.css({ top: '-30px' });
            }
        )
}

function removeAnimate(){
}

setClickEvent();
if(!hasInit){
    setLazyload();
    hasInit = true;
}

function getOffset(el) {
  const rect = el.getBoundingClientRect();
  return {
    left: rect.left + window.scrollX,
    top: rect.top + window.scrollY
  };
}
